Index: /branches/version-2_5-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19800)
+++ /branches/version-2_5-dev/data/mtb_constants_init.php	(revision 19802)
@@ -7,5 +7,5 @@
 define('USER_DIR', "user_data/");
 /** ユーザファイル保存先 */
-define('USER_PATH', HTML_PATH . USER_DIR);
+define('USER_PATH', HTML_FILE_PATH . USER_DIR);
 /** ユーザインクルードファイル保存先 */
 define('USER_INC_PATH', USER_PATH . "include/");
@@ -13,5 +13,5 @@
 define('ZIP_DSN', DEFAULT_DSN);
 /** ユーザー作成ページ等 */
-define('USER_URL', SITE_URL . USER_DIR);
+define('USER_URL', HTTP_URL . USER_DIR);
 /** 認証用 magic */
 define('AUTH_MAGIC', "31eafcbd7a81d7b401a7fdc12bba047c02d1fae6");
@@ -23,5 +23,5 @@
 define('USER_TEMPLATE_PATH', USER_PATH . USER_PACKAGE_DIR);
 /** テンプレートファイル一時保存先 */
-define('TEMPLATE_TEMP_DIR', HTML_PATH . "upload/temp_template/");
+define('TEMPLATE_TEMP_DIR', HTML_FILE_PATH . "upload/temp_template/");
 /** ユーザー作成画面のデフォルトPHPファイル */
 define('USER_DEF_PHP', USER_PATH . "__default.php");
@@ -31,9 +31,9 @@
 define('MODULE_DIR', "downloads/module/");
 /** ダウンロードモジュール保存ディレクトリ */
-define('MODULE_PATH', DATA_PATH . MODULE_DIR);
+define('MODULE_PATH', DATA_FILE_PATH . MODULE_DIR);
 /** DBセッションの有効期限(秒) */
 define('MAX_LIFETIME', 7200);
 /** マスタデータキャッシュディレクトリ */
-define('MASTER_DATA_DIR', DATA_PATH . "cache/");
+define('MASTER_DATA_DIR', DATA_FILE_PATH . "cache/");
 /** アップデート管理用ファイル格納場所 */
 define('UPDATE_HTTP', "http://sv01.ec-cube.net/info/index.php");
@@ -65,9 +65,9 @@
 define('FAVORITE_ERROR', 13);
 /** フォントのパス */
-define('TTF_DIR', DATA_PATH . "fonts/");
+define('TTF_DIR', DATA_FILE_PATH . "fonts/");
 /** グラフ格納ディレクトリ */
-define('GRAPH_DIR', HTML_PATH . "upload/graph_image/");
+define('GRAPH_DIR', HTML_FILE_PATH . "upload/graph_image/");
 /** グラフURL */
-define('GRAPH_URL', URL_DIR . "upload/graph_image/");
+define('GRAPH_URL', URL_PATH . "upload/graph_image/");
 /** 円グラフ最大表示数 */
 define('GRAPH_PIE_MAX', 10);
@@ -75,5 +75,5 @@
 define('GRAPH_LABEL_MAX', 40);
 /** PDF格納ディレクトリ */
-define('PDF_DIR', DATA_PATH . "pdf/");
+define('PDF_DIR', DATA_FILE_PATH . "pdf/");
 /** 何歳まで集計の対象とするか */
 define('BAT_ORDER_AGE', 70);
@@ -223,21 +223,21 @@
 define('SALE_PRICE_TITLE', "販売価格");
 /** ログファイル */
-define('LOG_PATH', DATA_PATH . "logs/site.log");
+define('LOG_PATH', DATA_FILE_PATH . "logs/site.log");
 /** 会員ログイン ログファイル */
-define('CUSTOMER_LOG_PATH', DATA_PATH . "logs/customer.log");
+define('CUSTOMER_LOG_PATH', DATA_FILE_PATH . "logs/customer.log");
 /** 画像一時保存 */
-define('IMAGE_TEMP_DIR', HTML_PATH . "upload/temp_image/");
+define('IMAGE_TEMP_DIR', HTML_FILE_PATH . "upload/temp_image/");
 /** 画像保存先 */
-define('IMAGE_SAVE_DIR', HTML_PATH . "upload/save_image/");
+define('IMAGE_SAVE_DIR', HTML_FILE_PATH . "upload/save_image/");
 /** 画像一時保存URL */
-define('IMAGE_TEMP_URL', URL_DIR . "upload/temp_image/");
+define('IMAGE_TEMP_URL', URL_PATH . "upload/temp_image/");
 /** 画像保存先URL */
-define('IMAGE_SAVE_URL', URL_DIR . "upload/save_image/");
+define('IMAGE_SAVE_URL', URL_PATH . "upload/save_image/");
 /** RSS用画像一時保存URL */
-define('IMAGE_TEMP_URL_RSS', SITE_URL . "upload/temp_image/");
+define('IMAGE_TEMP_URL_RSS', HTTP_URL . "upload/temp_image/");
 /** RSS用画像保存先URL */
-define('IMAGE_SAVE_URL_RSS', SITE_URL . "upload/save_image/");
+define('IMAGE_SAVE_URL_RSS', HTTP_URL . "upload/save_image/");
 /** エンコードCSVの一時保存先 */
-define('CSV_TEMP_DIR', DATA_PATH . "upload/csv/");
+define('CSV_TEMP_DIR', DATA_FILE_PATH . "upload/csv/");
 /** 画像がない場合に表示 */
 define('NO_IMAGE_URL', TPL_DIR . "img/picture/img_blank.gif");
@@ -245,33 +245,33 @@
 define('NO_IMAGE_DIR', USER_PACKAGE_DIR . "img/picture/img_blank.gif");
 /** システム管理トップ */
-define('URL_SYSTEM_TOP', URL_DIR . ADMIN_DIR . "system/" . DIR_INDEX_URL);
+define('URL_SYSTEM_TOP', URL_PATH . ADMIN_DIR . "system/" . DIR_INDEX_URL);
 /** 規格登録 */
-define('URL_CLASS_REGIST', URL_DIR . ADMIN_DIR . "products/class.php");
+define('URL_CLASS_REGIST', URL_PATH . ADMIN_DIR . "products/class.php");
 /** 郵便番号入力 */
-define('URL_INPUT_ZIP', URL_DIR . "input_zip.php");
+define('URL_INPUT_ZIP', URL_PATH . "input_zip.php");
 /** 配送業者登録 */
-define('URL_DELIVERY_TOP', URL_DIR . ADMIN_DIR . "basis/delivery.php");
+define('URL_DELIVERY_TOP', URL_PATH . ADMIN_DIR . "basis/delivery.php");
 /** 支払い方法登録 */
-define('URL_PAYMENT_TOP', URL_DIR . ADMIN_DIR . "basis/payment.php");
+define('URL_PAYMENT_TOP', URL_PATH . ADMIN_DIR . "basis/payment.php");
 /** サイト管理情報登録 */
-define('URL_CONTROL_TOP', URL_DIR . ADMIN_DIR . "basis/control.php");
+define('URL_CONTROL_TOP', URL_PATH . ADMIN_DIR . "basis/control.php");
 /** ホーム */
-define('URL_HOME', URL_DIR . ADMIN_DIR . "home.php");
+define('URL_HOME', URL_PATH . ADMIN_DIR . "home.php");
 /** ログインページ */
-define('URL_LOGIN', URL_DIR . ADMIN_DIR . "" . DIR_INDEX_URL);
+define('URL_LOGIN', URL_PATH . ADMIN_DIR . "" . DIR_INDEX_URL);
 /** 商品検索ページ */
-define('URL_SEARCH_TOP', URL_DIR . ADMIN_DIR . "products/" . DIR_INDEX_URL);
+define('URL_SEARCH_TOP', URL_PATH . ADMIN_DIR . "products/" . DIR_INDEX_URL);
 /** 注文編集ページ */
-define('URL_ORDER_EDIT', URL_DIR . ADMIN_DIR . "order/edit.php");
+define('URL_ORDER_EDIT', URL_PATH . ADMIN_DIR . "order/edit.php");
 /** 注文編集ページ */
-define('URL_SEARCH_ORDER', URL_DIR . ADMIN_DIR . "order/" . DIR_INDEX_URL);
+define('URL_SEARCH_ORDER', URL_PATH . ADMIN_DIR . "order/" . DIR_INDEX_URL);
 /** 注文編集ページ */
-define('URL_ORDER_MAIL', URL_DIR . ADMIN_DIR . "order/mail.php");
+define('URL_ORDER_MAIL', URL_PATH . ADMIN_DIR . "order/mail.php");
 /** ログアウトページ */
-define('URL_LOGOUT', URL_DIR . ADMIN_DIR . "logout.php");
+define('URL_LOGOUT', URL_PATH . ADMIN_DIR . "logout.php");
 /** システム管理CSV出力ページ */
-define('URL_SYSTEM_CSV', URL_DIR . ADMIN_DIR . "system/member_csv.php");
+define('URL_SYSTEM_CSV', URL_PATH . ADMIN_DIR . "system/member_csv.php");
 /** 管理機能用CSS保管ディレクトリ */
-define('URL_ADMIN_CSS', URL_DIR . ADMIN_DIR . "css/");
+define('URL_ADMIN_CSS', URL_PATH . ADMIN_DIR . "css/");
 /** アクセス成功 */
 define('SUCCESS', 0);
@@ -340,33 +340,33 @@
 define('SEPA_CATLIST', " | ");
 /** 会員情報入力 */
-define('URL_SHOP_TOP', SSL_URL . "shopping/" . DIR_INDEX_URL);
+define('URL_SHOP_TOP', HTTPS_URL . "shopping/" . DIR_INDEX_URL);
 /** 会員登録ページTOP */
-define('URL_ENTRY_TOP', SSL_URL . "entry/" . DIR_INDEX_URL);
+define('URL_ENTRY_TOP', HTTPS_URL . "entry/" . DIR_INDEX_URL);
 /** サイトトップ */
-define('URL_SITE_TOP', URL_DIR . DIR_INDEX_URL);
+define('URL_SITE_TOP', URL_PATH . DIR_INDEX_URL);
 /** カートトップ */
-define('URL_CART_TOP', URL_DIR . "cart/" . DIR_INDEX_URL);
+define('URL_CART_TOP', URL_PATH . "cart/" . DIR_INDEX_URL);
 /** お届け先設定 */
-define('URL_DELIV_TOP', URL_DIR . "shopping/deliv.php");
+define('URL_DELIV_TOP', URL_PATH . "shopping/deliv.php");
 /** Myページトップ */
-define('URL_MYPAGE_TOP', SSL_URL . "mypage/login.php");
+define('URL_MYPAGE_TOP', HTTPS_URL . "mypage/login.php");
 /** 購入確認ページ */
-define('URL_SHOP_CONFIRM', URL_DIR . "shopping/confirm.php");
+define('URL_SHOP_CONFIRM', URL_PATH . "shopping/confirm.php");
 /** お支払い方法選択ページ */
-define('URL_SHOP_PAYMENT', URL_DIR . "shopping/payment.php");
+define('URL_SHOP_PAYMENT', URL_PATH . "shopping/payment.php");
 /** 購入完了画面 */
-define('URL_SHOP_COMPLETE', URL_DIR . "shopping/complete.php");
+define('URL_SHOP_COMPLETE', URL_PATH . "shopping/complete.php");
 /** カード決済画面 */
-define('URL_SHOP_CREDIT', URL_DIR . "shopping/card.php");
+define('URL_SHOP_CREDIT', URL_PATH . "shopping/card.php");
 /** ローン決済画面 */
-define('URL_SHOP_LOAN', URL_DIR . "shopping/loan.php");
+define('URL_SHOP_LOAN', URL_PATH . "shopping/loan.php");
 /** コンビニ決済画面 */
-define('URL_SHOP_CONVENIENCE', URL_DIR . "shopping/convenience.php");
+define('URL_SHOP_CONVENIENCE', URL_PATH . "shopping/convenience.php");
 /** モジュール追加用画面 */
-define('URL_SHOP_MODULE', URL_DIR . "shopping/load_payment_module.php");
+define('URL_SHOP_MODULE', URL_PATH . "shopping/load_payment_module.php");
 /** 商品詳細(HTML出力) */
-define('DETAIL_P_HTML', URL_DIR . "products/detail.php?product_id=");
+define('DETAIL_P_HTML', URL_PATH . "products/detail.php?product_id=");
 /** マイページお届け先URL */
-define('MYPAGE_DELIVADDR_URL', URL_DIR . "mypage/delivery.php");
+define('MYPAGE_DELIVADDR_URL', URL_PATH . "mypage/delivery.php");
 /** メールアドレス種別 */
 define('MAIL_TYPE_PC', 1);
@@ -418,5 +418,5 @@
 define('TRACKBACK_VIEW_MAX', 10);
 /** トラックバック先URL */
-define('TRACKBACK_TO_URL', SITE_URL . "tb/" . DIR_INDEX_URL . "?pid=");
+define('TRACKBACK_TO_URL', HTTP_URL . "tb/" . DIR_INDEX_URL . "?pid=");
 /** サイト管理 トラックバック */
 define('SITE_CONTROL_TRACKBACK', 1);
@@ -446,7 +446,7 @@
 define('SMARTPHONE_TEMPLATE_NAME', "sphone");
 /** SMARTYテンプレート */
-define('SMARTY_TEMPLATES_DIR',  DATA_PATH . "Smarty/templates/");
+define('SMARTY_TEMPLATES_DIR',  DATA_FILE_PATH . "Smarty/templates/");
 /** SMARTYテンプレート */
-define('TPL_DIR', URL_DIR . USER_DIR . USER_PACKAGE_DIR . TEMPLATE_NAME . "/");
+define('TPL_DIR', URL_PATH . USER_DIR . USER_PACKAGE_DIR . TEMPLATE_NAME . "/");
 /** SMARTYテンプレート */
 define('TEMPLATE_DIR', SMARTY_TEMPLATES_DIR . TEMPLATE_NAME . "/");
@@ -454,7 +454,7 @@
 define('TEMPLATE_ADMIN_DIR', SMARTY_TEMPLATES_DIR . "admin/");
 /** SMARTYコンパイル */
-define('COMPILE_DIR', DATA_PATH . "Smarty/templates_c/" . TEMPLATE_NAME . "/");
+define('COMPILE_DIR', DATA_FILE_PATH . "Smarty/templates_c/" . TEMPLATE_NAME . "/");
 /** SMARTYコンパイル(管理機能) */
-define('COMPILE_ADMIN_DIR', DATA_PATH . "Smarty/templates_c/admin/");
+define('COMPILE_ADMIN_DIR', DATA_FILE_PATH . "Smarty/templates_c/admin/");
 /** SMARTYテンプレート(FTP許可) */
 define('TEMPLATE_FTP_DIR', USER_PATH . USER_PACKAGE_DIR . TEMPLATE_NAME . "/");
@@ -470,9 +470,9 @@
 define('MOBILE_TEMPLATE_DIR', SMARTY_TEMPLATES_DIR . MOBILE_TEMPLATE_NAME . "/");
 /** SMARTYコンパイル(mobile) */
-define('MOBILE_COMPILE_DIR', DATA_PATH . "Smarty/templates_c/" . MOBILE_TEMPLATE_NAME . "/");
+define('MOBILE_COMPILE_DIR', DATA_FILE_PATH . "Smarty/templates_c/" . MOBILE_TEMPLATE_NAME . "/");
 /** SMARTYテンプレート(smart phone) */
 define('SMARTPHONE_TEMPLATE_DIR', SMARTY_TEMPLATES_DIR . SMARTPHONE_TEMPLATE_NAME . "/");
 /** SMARTYコンパイル(smart phone) */
-define('SMARTPHONE_COMPILE_DIR', DATA_PATH . "Smarty/templates_c/" . SMARTPHONE_TEMPLATE_NAME . "/");
+define('SMARTPHONE_COMPILE_DIR', DATA_FILE_PATH . "Smarty/templates_c/" . SMARTPHONE_TEMPLATE_NAME . "/");
 /** モバイルサイトのセッションの存続時間 (秒) */
 define('MOBILE_SESSION_LIFETIME', 1800);
@@ -486,23 +486,23 @@
 define('MOBILE_KARA_MAIL_ADDRESS_DOMAIN', "");
 /** 携帯電話向け変換画像保存ディレクトリ */
-define('MOBILE_IMAGE_DIR', HTML_PATH . "upload/mobile_image");
+define('MOBILE_IMAGE_DIR', HTML_FILE_PATH . "upload/mobile_image");
 /** 携帯電話向け変換画像保存ディレクトリ */
-define('MOBILE_IMAGE_URL', URL_DIR . "upload/mobile_image");
+define('MOBILE_IMAGE_URL', URL_PATH . "upload/mobile_image");
 /** モバイルURL */
-define('MOBILE_URL_SITE_TOP', MOBILE_URL_DIR . DIR_INDEX_URL);
+define('MOBILE_URL_SITE_TOP', MOBILE_URL_PATH . DIR_INDEX_URL);
 /** カートトップ */
-define('MOBILE_URL_CART_TOP', MOBILE_URL_DIR . "cart/" . DIR_INDEX_URL);
+define('MOBILE_URL_CART_TOP', MOBILE_URL_PATH . "cart/" . DIR_INDEX_URL);
 /** 会員情報入力 */
-define('MOBILE_URL_SHOP_TOP', MOBILE_SSL_URL . "shopping/" . DIR_INDEX_URL);
+define('MOBILE_URL_SHOP_TOP', MOBILE_HTTPS_URL . "shopping/" . DIR_INDEX_URL);
 /** 購入確認ページ */
-define('MOBILE_URL_SHOP_CONFIRM', MOBILE_URL_DIR . "shopping/confirm.php");
+define('MOBILE_URL_SHOP_CONFIRM', MOBILE_URL_PATH . "shopping/confirm.php");
 /** お支払い方法選択ページ */
-define('MOBILE_URL_SHOP_PAYMENT', MOBILE_URL_DIR . "shopping/payment.php");
+define('MOBILE_URL_SHOP_PAYMENT', MOBILE_URL_PATH . "shopping/payment.php");
 /** 商品詳細(HTML出力) */
-define('MOBILE_DETAIL_P_HTML', MOBILE_URL_DIR . "products/detail.php?product_id=");
+define('MOBILE_DETAIL_P_HTML', MOBILE_URL_PATH . "products/detail.php?product_id=");
 /** 購入完了画面 */
-define('MOBILE_URL_SHOP_COMPLETE', MOBILE_URL_DIR . "shopping/complete.php");
+define('MOBILE_URL_SHOP_COMPLETE', MOBILE_URL_PATH . "shopping/complete.php");
 /** モジュール追加用画面 */
-define('MOBILE_URL_SHOP_MODULE', MOBILE_URL_DIR . "shopping/load_payment_module.php");
+define('MOBILE_URL_SHOP_MODULE', MOBILE_URL_PATH . "shopping/load_payment_module.php");
 /** セッション維持方法：useCookie|useRequest */
 define('SESSION_KEEP_METHOD', "useCookie");
@@ -514,5 +514,5 @@
 define('OSTORE_SSLURL', "https://store.ec-cube.net/");
 /** オーナーズストアログパス */
-define('OSTORE_LOG_PATH', DATA_PATH . "logs/ownersstore.log");
+define('OSTORE_LOG_PATH', DATA_FILE_PATH . "logs/ownersstore.log");
 /** オーナーズストア通信ステータス */
 define('OSTORE_STATUS_ERROR', "ERROR");
@@ -570,7 +570,7 @@
 define('DOWN_SIZE', 50000);
 /** ダウンロード販売機能 ファイル一時保存 */
-define('DOWN_TEMP_DIR', DATA_PATH . "download/temp/");
+define('DOWN_TEMP_DIR', DATA_FILE_PATH . "download/temp/");
 /** ダウンロード販売機能 ファイル保存先 */
-define('DOWN_SAVE_DIR', DATA_PATH . "download/save/");
+define('DOWN_SAVE_DIR', DATA_FILE_PATH . "download/save/");
 /** ダウンロード販売機能 ファイル存在エラー */
 define('DOWNFILE_NOT_FOUND', 22);
Index: /branches/version-2_5-dev/data/require_base.php
===================================================================
--- /branches/version-2_5-dev/data/require_base.php	(revision 19737)
+++ /branches/version-2_5-dev/data/require_base.php	(revision 19802)
@@ -22,13 +22,13 @@
  */
 
-if (!defined("DATA_PATH")) {
-    define("DATA_PATH", HTML_PATH . HTML2DATA_DIR);
+if (!defined("DATA_FILE_PATH")) {
+    define("DATA_FILE_PATH", HTML_FILE_PATH . HTML2DATA_DIR);
 }
 
 // アプリケーション初期化処理
-require_once(DATA_PATH . "app_initial.php");
+require_once(DATA_FILE_PATH . "app_initial.php");
 
 // 各種クラス読み込み
-require_once(DATA_PATH . "require_classes.php");
+require_once(DATA_FILE_PATH . "require_classes.php");
 
 // インストール中で無い場合、
@@ -47,5 +47,5 @@
 
     // プラグインを読み込む
-    //require_once(DATA_PATH . 'require_plugin.php');
+    //require_once(DATA_FILE_PATH . 'require_plugin.php');
 }
 ?>
Index: /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php
===================================================================
--- /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php	(revision 19670)
+++ /branches/version-2_5-dev/data/plugin/bingo/SC_Plugin_bingo.php	(revision 19802)
@@ -75,7 +75,7 @@
                 if ($is_bingo) {
                     if (SC_Utils_Ex::sfIsMobileSite()) {
-                        $objPage->tpl_mainpage = DATA_PATH . 'plugin/' . $this->plugin_name . '/templates/mobile/shopping/complete.tpl';
+                        $objPage->tpl_mainpage = DATA_FILE_PATH . 'plugin/' . $this->plugin_name . '/templates/mobile/shopping/complete.tpl';
                     } else {
-                        $objPage->tpl_mainpage = DATA_PATH . 'plugin/' . $this->plugin_name . '/templates/shopping/complete.tpl';
+                        $objPage->tpl_mainpage = DATA_FILE_PATH . 'plugin/' . $this->plugin_name . '/templates/shopping/complete.tpl';
                     }
                 }
Index: /branches/version-2_5-dev/data/require_safe.php
===================================================================
--- /branches/version-2_5-dev/data/require_safe.php	(revision 19737)
+++ /branches/version-2_5-dev/data/require_safe.php	(revision 19802)
@@ -29,14 +29,14 @@
 
 // rtrim は PHP バージョン依存対策
-define("HTML_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
+define("HTML_FILE_PATH", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/'), '/\\') . '/');
 
-if (!defined("DATA_PATH")) {
-    define("DATA_PATH", HTML_PATH . HTML2DATA_DIR);
+if (!defined("DATA_FILE_PATH")) {
+    define("DATA_FILE_PATH", HTML_FILE_PATH . HTML2DATA_DIR);
 }
 
 // アプリケーションの初期化処理
-require_once(DATA_PATH . "app_initial.php");
+require_once(DATA_FILE_PATH . "app_initial.php");
 
 // 各種クラス読み込み
-require_once(DATA_PATH . "require_classes.php");
+require_once(DATA_FILE_PATH . "require_classes.php");
 ?>
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19743)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 19802)
@@ -43,5 +43,5 @@
     function lfMobileCheckCompatibility() {
         if (!SC_MobileUserAgent::isSupported()) {
-            header('Location: ' . URL_DIR . 'mobile/unsupported/' . DIR_INDEX_URL);
+            header('Location: ' . URL_PATH . 'mobile/unsupported/' . DIR_INDEX_URL);
             exit;
         }
@@ -86,5 +86,5 @@
      */
     function lfMobileGetExtSessionId() {
-        if (!preg_match('|^' . URL_DIR . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
+        if (!preg_match('|^' . URL_PATH . '(.*)$|', $_SERVER['SCRIPT_NAME'], $matches)) {
             return null;
         }
@@ -406,5 +406,5 @@
 
         list($session_id, $next_url, $email) = $arrRow;
-        $objURL = new Net_URL(MOBILE_SITE_URL . $next_url);
+        $objURL = new Net_URL(MOBILE_HTTP_URL . $next_url);
         $objURL->addQueryString(session_name(), $session_id);
         $url = $objURL->getURL();
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 19795)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 19802)
@@ -51,5 +51,5 @@
         // 現在のURLの取得
         if ($preview === false) {
-            $url = preg_replace('|^' . preg_quote(URL_DIR) . '|', '', $url);
+            $url = preg_replace('|^' . preg_quote(URL_PATH) . '|', '', $url);
 
             // URLを元にページデザインを取得
@@ -137,5 +137,5 @@
                 if ($target_id == $val['target_id'] ) {
                     if ($val['php_path'] != '') {
-                        $arrNavi[$key]['php_path'] = HTML_PATH . $val['php_path'];
+                        $arrNavi[$key]['php_path'] = HTML_FILE_PATH . $val['php_path'];
                     } else {
                         $arrNavi[$key]['tpl_path'] = $this->getTemplatePath($device_type_id) . BLOC_DIR . $val['tpl_path'];
@@ -202,6 +202,6 @@
     function lfDelFile($arrData) {
         // ファイルディレクトリ取得
-        $del_php = HTML_PATH . $arrData['php_dir'] . $arrData['filename'] . ".php";
-        $del_tpl = HTML_PATH . $arrData['tpl_dir'] . $arrData['filename'] . ".tpl";
+        $del_php = HTML_FILE_PATH . $arrData['php_dir'] . $arrData['filename'] . ".php";
+        $del_tpl = HTML_FILE_PATH . $arrData['tpl_dir'] . $arrData['filename'] . ".tpl";
 
         // phpファイルの削除
@@ -248,5 +248,5 @@
         case DEVICE_TYPE_MOBILE:
             $dir = MOBILE_TEMPLATE_DIR;
-            $userPath = HTML_PATH . MOBILE_DIR . USER_DIR;
+            $userPath = HTML_FILE_PATH . MOBILE_DIR . USER_DIR;
             $templateName = MOBILE_TEMPLATE_NAME;
             break;
@@ -254,5 +254,5 @@
         case DEVICE_TYPE_SMARTPHONE:
             $dir = SMARTPHONE_TEMPLATE_DIR;
-            $userPath = HTML_PATH . SMARTPHONE_DIR . USER_DIR;
+            $userPath = HTML_FILE_PATH . SMARTPHONE_DIR . USER_DIR;
             $templateName = SMARTPHONE_TEMPLATE_NAME;
             break;
@@ -279,9 +279,9 @@
         switch ($device_type_id) {
         case DEVICE_TYPE_MOBILE:
-            return HTML_PATH . MOBILE_DIR . USER_DIR;
+            return HTML_FILE_PATH . MOBILE_DIR . USER_DIR;
             break;
 
         case DEVICE_TYPE_SMARTPHONE:
-            return HTML_PATH . SMARTPHONE_DIR . USER_DIR;
+            return HTML_FILE_PATH . SMARTPHONE_DIR . USER_DIR;
             break;
 
@@ -305,10 +305,10 @@
         switch ($device_type_id) {
         case DEVICE_TYPE_MOBILE:
-            $userDir = URL_DIR . MOBILE_DIR . USER_DIR;
+            $userDir = URL_PATH . MOBILE_DIR . USER_DIR;
             $templateName = MOBILE_TEMPLATE_NAME;
             break;
 
         case DEVICE_TYPE_SMARTPHONE:
-            $userDir = URL_DIR . SMARTPHONE_DIR . USER_DIR;
+            $userDir = URL_PATH . SMARTPHONE_DIR . USER_DIR;
             $templateName = SMARTPHONE_TEMPLATE_NAME;
             break;
@@ -316,5 +316,5 @@
         case DEVICE_TYPE_PC:
         default:
-            $userDir = URL_DIR . USER_DIR;
+            $userDir = URL_PATH . USER_DIR;
             $templateName = TEMPLATE_NAME;
         }
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 19721)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Plugin.php	(revision 19802)
@@ -50,5 +50,5 @@
             $plugin_name = $plugins['name'];
             $plugin_class_name = $plugins['class_name'];
-            require_once DATA_PATH."plugin/{$plugin_name}/{$plugin_class_name}.php";
+            require_once DATA_FILE_PATH."plugin/{$plugin_name}/{$plugin_class_name}.php";
 
             $code_str = "\$is_enable = {$plugin_class_name}::is_enable(\$class_name);";
@@ -113,5 +113,5 @@
 
     function getFilesystemPlugins(){
-        $plugin_dir = DATA_PATH."/plugin/";
+        $plugin_dir = DATA_FILE_PATH."/plugin/";
         if($dh = opendir($plugin_dir)){
             while(($file = readdir($dh) !== false)){
Index: /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php
===================================================================
--- /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/batch/SC_Batch_Update.php	(revision 19802)
@@ -56,5 +56,5 @@
         $oldMask = umask(0);
         $bkupDistInfoArray = array(); //バックアップファイル用のdistinfoファイル内容
-        $bkupPath = DATA_PATH . 'downloads/backup/update_' . time() . '/';
+        $bkupPath = DATA_FILE_PATH . 'downloads/backup/update_' . time() . '/';
         $bkupPathFile = $bkupPath . 'files/';
         $this->mkdir_p($bkupPathFile . 'dummy');
@@ -219,11 +219,11 @@
         $path = dirname($path);
         
-        // HTML_PATH/DATA_PATHの判別
-        if (preg_match("@\Q".HTML_PATH."\E@", $path) > 0) {
-            $dir = str_replace("\\", "/", HTML_PATH);
-            $path = preg_replace("@\Q".HTML_PATH."\E@", "", $path);
-        } elseif (preg_match("@\Q".DATA_PATH."\E@", $path) > 0) {
-            $dir = str_replace("\\", "/", DATA_PATH);
-            $path = preg_replace("@\Q".DATA_PATH."\E@", "", $path);
+        // HTML_FILE_PATH/DATA_FILE_PATHの判別
+        if (preg_match("@\Q".HTML_FILE_PATH."\E@", $path) > 0) {
+            $dir = str_replace("\\", "/", HTML_FILE_PATH);
+            $path = preg_replace("@\Q".HTML_FILE_PATH."\E@", "", $path);
+        } elseif (preg_match("@\Q".DATA_FILE_PATH."\E@", $path) > 0) {
+            $dir = str_replace("\\", "/", DATA_FILE_PATH);
+            $path = preg_replace("@\Q".DATA_FILE_PATH."\E@", "", $path);
         } else {
             $dir = "";
@@ -252,5 +252,5 @@
 
     function printLog($msg) {
-        GC_Utils::gfPrintLog($msg, DATA_PATH . 'logs/ownersstore_batch_update.log');
+        GC_Utils::gfPrintLog($msg, DATA_FILE_PATH . 'logs/ownersstore_batch_update.log');
     }
 }
Index: /branches/version-2_5-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_View.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/SC_View.php	(revision 19802)
@@ -201,6 +201,6 @@
         $this->_smarty->template_dir = TEMPLATE_ADMIN_DIR;
         $this->_smarty->compile_dir = COMPILE_ADMIN_DIR;
-        $this->assign('TPL_DIR_DEFAULT', URL_DIR . USER_DIR . USER_PACKAGE_DIR . DEFAULT_TEMPLATE_NAME . '/');
-        $this->assign('TPL_DIR', URL_DIR . USER_DIR . USER_PACKAGE_DIR . ADMIN_DIR);
+        $this->assign('TPL_DIR_DEFAULT', URL_PATH . USER_DIR . USER_PACKAGE_DIR . DEFAULT_TEMPLATE_NAME . '/');
+        $this->assign('TPL_DIR', URL_PATH . USER_DIR . USER_PACKAGE_DIR . ADMIN_DIR);
         $this->initpath();
     }
Index: /branches/version-2_5-dev/data/class/module/SC_Module.php
===================================================================
--- /branches/version-2_5-dev/data/class/module/SC_Module.php	(revision 19729)
+++ /branches/version-2_5-dev/data/class/module/SC_Module.php	(revision 19802)
@@ -251,5 +251,5 @@
      */
     function log($msg, $data = null, $suffix = '') {
-        $path = DATA_PATH . 'logs/' . $this->getCode() . "$suffix.log";
+        $path = DATA_FILE_PATH . 'logs/' . $this->getCode() . "$suffix.log";
         GC_Utils::gfPrintLog($msg, $path);
 
Index: /branches/version-2_5-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Fpdf.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/SC_Fpdf.php	(revision 19802)
@@ -28,6 +28,6 @@
  */
 
-require(DATA_PATH . 'module/fpdf/fpdf.php');
-require(DATA_PATH . 'module/fpdf/japanese.php');
+require(DATA_FILE_PATH . 'module/fpdf/fpdf.php');
+require(DATA_FILE_PATH . 'module/fpdf/japanese.php');
 define('PDF_TEMPLATE_DIR', TEMPLATE_ADMIN_DIR . 'pdf/');
 
Index: /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 19802)
@@ -24,5 +24,5 @@
 // {{{ requires
 require_once CLASS_PATH . 'pages/upgrade/LC_Page_Upgrade_Base.php';
-require_once DATA_PATH . 'module/Tar.php';
+require_once DATA_FILE_PATH . 'module/Tar.php';
 
 /**
@@ -112,5 +112,5 @@
         case 'patch_download':
             $arrPostData = array(
-                'eccube_url' => SITE_URL,
+                'eccube_url' => HTTP_URL,
                 'public_key' => sha1($public_key . $sha1_key),
                 'sha1_key'   => $sha1_key,
@@ -120,5 +120,5 @@
         default:
             $arrPostData = array(
-                'eccube_url' => SITE_URL,
+                'eccube_url' => HTTP_URL,
                 'public_key' => sha1($public_key . $sha1_key),
                 'sha1_key'   => $sha1_key,
@@ -164,5 +164,5 @@
             $objLog->log('* save file start');
             $time = time();
-            $dir  = DATA_PATH . 'downloads/tmp/';
+            $dir  = DATA_FILE_PATH . 'downloads/tmp/';
             $filename = $time . '.tar.gz';
 
@@ -298,5 +298,5 @@
     function notifyDownload($mode, $arrCookies) {
         $arrPOSTParams = array(
-            'eccube_url' => SITE_URL
+            'eccube_url' => HTTP_URL
         );
         $objReq = $this->request($mode . '_commit', $arrPOSTParams, $arrCookies);
@@ -382,5 +382,5 @@
      */
     function fileExecute($productCode) {
-        $file = DATA_PATH . 'downloads/update/' . $productCode . '_update.php';
+        $file = DATA_FILE_PATH . 'downloads/update/' . $productCode . '_update.php';
         if (file_exists($file)) {
             @include_once $file;
Index: /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 18234)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 19802)
@@ -4,5 +4,5 @@
 require_once CLASS_PATH . 'pages/upgrade/helper/LC_Upgrade_Helper_Log.php';
 require_once CLASS_PATH . 'pages/upgrade/helper/LC_Upgrade_Helper_Json.php';
-require_once DATA_PATH . 'module/Request.php';
+require_once DATA_FILE_PATH . 'module/Request.php';
 
 /**
Index: /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 19802)
@@ -81,5 +81,5 @@
         $objLog->log('* http request start');
         $arrPostData = array(
-            'eccube_url' => SITE_URL,
+            'eccube_url' => HTTP_URL,
             'public_key' => sha1($public_key . $sha1_key),
             'sha1_key'   => $sha1_key
@@ -135,5 +135,5 @@
                 $objLog->log('* template not exist, use default template');
                 // デフォルトテンプレートを使用
-                $template = DATA_PATH . 'Smarty/templates/default/admin/' . $template;
+                $template = DATA_FILE_PATH . 'Smarty/templates/default/admin/' . $template;
             }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 19738)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 19802)
@@ -55,5 +55,5 @@
         $objSess->logout();
 
-        $this->objDisplay->redirect($this->getLocation(URL_DIR . ADMIN_DIR . DIR_INDEX_URL));
+        $this->objDisplay->redirect($this->getLocation(URL_PATH . ADMIN_DIR . DIR_INDEX_URL));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 19738)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 19802)
@@ -178,5 +178,5 @@
         }
         if ($_GET['mode'] == 'now') {
-            $this->objDisplay->redirect($this->getLocation(URL_DIR . ADMIN_DIR . 'mail/history.php'));
+            $this->objDisplay->redirect($this->getLocation(URL_PATH . ADMIN_DIR . 'mail/history.php'));
         }
         echo "complete\n";
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19773)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19802)
@@ -364,7 +364,7 @@
                     if (MELMAGA_SEND) {
                         if (MELMAGA_BATCH_MODE) {
-                            $this->objDisplay->redirect($this->getLocation(URL_DIR . ADMIN_DIR . 'mail/history.php'));
+                            $this->objDisplay->redirect($this->getLocation(URL_PATH . ADMIN_DIR . 'mail/history.php'));
                         } else {
-                            $this->objDisplay->redirect($this->getLocation(URL_DIR . ADMIN_DIR . 'mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId)));
+                            $this->objDisplay->redirect($this->getLocation(URL_PATH . ADMIN_DIR . 'mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId)));
                         }
                         exit;
Index: /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 19670)
+++ /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 19802)
@@ -53,5 +53,5 @@
         $this->tpl_subnavi = 'total/subnavi.tpl';
         $this->tpl_graphsubtitle = 'total/subtitle.tpl';
-        $this->tpl_titleimage = URL_DIR.'img/title/title_sale.jpg';
+        $this->tpl_titleimage = URL_PATH.'img/title/title_sale.jpg';
         $this->tpl_mainno = 'total';
 
